#!/bin/bash
export TERM=xterm
pid=0

function display_container_header {
    echo "+====================================================="
    echo "| Container   : $HOSTNAME"
    echo "| OS          : $(</etc/redhat-release)"
    echo "| kubernetes  : $KUBERNETES_SERVICE_HOST"
    echo "| user        : $(whoami)"
    echo "| home        : $HOME"
    echo "+====================================================="
}

function start_service {
    echo "+====================================================="
    echo "| Container $HOSTNAME is now RUNNING"
    echo "+====================================================="
    while true
    do
      echo "live... (next try in 1 hour)" & sleep 3600
    done
}

if [ -n "$HOME" ]; then
    [ -d "$HOME" ] || mkdir -p $HOME
fi

display_container_header
start_service
